      SUBROUTINE example(aa,bb)
      implicit none
 
      real*8 x,xx,yy,aa,bb
      integer i
      real H
c === Defenitions for HBOOK ===
      integer NWPAWC
      parameter (NWPAWC=100000) ! Amount of memory for HBOOK
      common /PAWC/H(NWPAWC)
 
      call HLIMIT(NWPAWC)       ! Reserve memory for HBOOK
 
      call HBOOK1(1,'Random distribution',100,0.0,1.0,0.)  ! Book histogram
        xx=11.0
        yy=22.0
        aa=xx
        bb=yy
      do i=1,100000
        x = rand()
        call hfill(1,x,0.0,1.0)       ! Fill histogram with x
      enddo
 
      call HRPUT(0,'example.hst','N') ! Save the histogram in a file
        return
      end

